Upgraded packages to latest upstream

Upgraded net-libs/libnfnetlink to v1.0.2

BUG=b/277108880
TEST=presubmit
RELEASE_NOTE=Upgraded net-libs/libnfnetlink to v1.0.2.

Change-Id: Ia353d6e170837967c4ce539ba8787c479a03b3a6
Reviewed-on: https://cos-review.googlesource.com/c/third_party/overlays/portage-stable/+/46252
Reviewed-by: Chenglong Tang <chenglongtang@google.com>
Tested-by: Cusky Presubmit Bot <presubmit@cos-infra-prod.iam.gserviceaccount.com>
diff --git a/net-libs/libnfnetlink/Manifest b/net-libs/libnfnetlink/Manifest
index b0dd7d9..7cf5a4a 100644
--- a/net-libs/libnfnetlink/Manifest
+++ b/net-libs/libnfnetlink/Manifest
@@ -1 +1,2 @@
-DIST libnfnetlink-1.0.1.tar.bz2 320641 RMD160 9e3f11f2769fd5bd32f06c5630e75ad752bdbd19 SHA1 27ae2dfbd976e28cb7a417f9e946c901f512dd9a SHA256 f270e19de9127642d2a11589ef2ec97ef90a649a74f56cf9a96306b04817b51a
+DIST libnfnetlink-1.0.2.tar.bz2 298844 BLAKE2B 81c954f6ca2738b321e9319d20741aa15376e88e5f7a0ce1cfa2b02cd104f98d020ab6206bfbc79fc66655f8e40a17bfb65cbce0b1684d9373b809de5a433fc4 SHA512 a5e9ae22831f1d17703f83953f3b0ef898e8b3fa7f0f771b038db51816ddae3158574380ac4d45c09fb8fbb8677e2ccdcc5c4736e3b09de06eac99f899130854
+DIST libnfnetlink-1.0.2.tar.bz2.sig 566 BLAKE2B 9e87fc7917dd2f8b29de642ef819bca957bd6223417e167e21770450ce2eeff717ab06079ac75c689184f9188e785b663fca81cdda30b87310bfb1b456b03dd2 SHA512 3dcb980fb209c9faa9774f0393bc3b4b5fa6e899330f0d0dcb92307984f696b869de27c22dd54d7f181bddd72e104b38e8617af6bb3d6fe992a96da172b10457
diff --git a/net-libs/libnfnetlink/libnfnetlink-1.0.1.ebuild b/net-libs/libnfnetlink/libnfnetlink-1.0.1.ebuild
deleted file mode 100644
index fae14da..0000000
--- a/net-libs/libnfnetlink/libnfnetlink-1.0.1.ebuild
+++ /dev/null
@@ -1,46 +0,0 @@
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-libs/libnfnetlink/libnfnetlink-1.0.1.ebuild,v 1.7 2012/12/16 19:43:05 armin76 Exp $
-
-EAPI=4
-inherit linux-info eutils
-
-DESCRIPTION="the low-level library for netfilter related kernel/userspace communication"
-HOMEPAGE="http://www.netfilter.org/projects/libnfnetlink/"
-SRC_URI="http://www.netfilter.org/projects/${PN}/files/${P}.tar.bz2"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="*"
-IUSE="static-libs"
-
-DOCS=( README )
-
-pkg_setup() {
-	linux-info_pkg_setup
-
-	if kernel_is lt 2 6 18 ; then
-		die "${PN} requires at least 2.6.18 kernel version"
-	fi
-
-	#netfilter core team has changed some option names with kernel 2.6.20
-	error_common=' is not set when it should be. You can activate it in the Core Netfilter Configuration'
-	if kernel_is lt 2 6 20 ; then
-		CONFIG_CHECK="~IP_NF_CONNTRACK_NETLINK"
-		ERROR_IP_NF_CONNTRACK_NETLINK="CONFIG_IP_NF_CONNTRACK_NETLINK:\t${error_common}"
-	else
-		CONFIG_CHECK="~NF_CT_NETLINK"
-		ERROR_NF_CT_NETLINK="CONFIG_NF_CT_NETLINK:\t${error_common}"
-	fi
-
-	check_extra_config
-}
-
-src_configure() {
-	econf $(use_enable static-libs static)
-}
-
-src_install() {
-	default
-	prune_libtool_files
-}
diff --git a/net-libs/libnfnetlink/libnfnetlink-1.0.2.ebuild b/net-libs/libnfnetlink/libnfnetlink-1.0.2.ebuild
new file mode 100644
index 0000000..164afd4
--- /dev/null
+++ b/net-libs/libnfnetlink/libnfnetlink-1.0.2.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+VERIFY_SIG_OPENPGP_KEY_PATH="${BROOT}"/usr/share/openpgp-keys/netfilter.org.asc
+inherit linux-info verify-sig
+
+DESCRIPTION="The low-level library for netfilter related kernel/userspace communication"
+HOMEPAGE="http://www.netfilter.org/projects/libnfnetlink/"
+SRC_URI="
+	https://www.netfilter.org/projects/${PN}/files/${P}.tar.bz2
+	verify-sig? ( https://www.netfilter.org/projects/${PN}/files/${P}.tar.bz2.sig )"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="*"
+
+BDEPEND="verify-sig? ( sec-keys/openpgp-keys-netfilter )"
+
+pkg_setup() {
+	linux-info_pkg_setup
+
+	if kernel_is lt 2 6 18 ; then
+		ewarn "${PN} requires at least 2.6.18 kernel version"
+	fi
+
+	#netfilter core team has changed some option names with kernel 2.6.20
+	error_common=' is not set when it should be. You can activate it in the Core Netfilter Configuration'
+	if kernel_is lt 2 6 20 ; then
+		CONFIG_CHECK="~IP_NF_CONNTRACK_NETLINK"
+		ERROR_IP_NF_CONNTRACK_NETLINK="CONFIG_IP_NF_CONNTRACK_NETLINK:\t${error_common}"
+	else
+		CONFIG_CHECK="~NF_CT_NETLINK"
+		ERROR_NF_CT_NETLINK="CONFIG_NF_CT_NETLINK:\t${error_common}"
+	fi
+
+	check_extra_config
+}
+
+src_unpack() {
+	default
+
+	use verify-sig && verify-sig_verify_detached "${DISTDIR}"/${P}.tar.bz2{,.sig}
+}
+
+src_install() {
+	default
+
+	# No static archives
+	find "${ED}" -name '*.la' -delete || die
+}
diff --git a/net-libs/libnfnetlink/metadata.xml b/net-libs/libnfnetlink/metadata.xml
index 8204cd3..0c633e1 100644
--- a/net-libs/libnfnetlink/metadata.xml
+++ b/net-libs/libnfnetlink/metadata.xml
@@ -1,12 +1,11 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
 <pkgmetadata>
-<herd>netmon</herd>
-<maintainer>
-  <email>cedk@gentoo.org</email>
+<maintainer type="project">
+	<email>netmon@gentoo.org</email>
+	<name>Gentoo network monitoring and analysis project</name>
 </maintainer>
-<longdescription>the low-level library for netfilter related kernel/userspace communication</longdescription>
 <upstream>
-  <remote-id type="cpe">cpe:/a:netfilter:libnfnetlink</remote-id>
+	<remote-id type="cpe">cpe:/a:netfilter:libnfnetlink</remote-id>
 </upstream>
 </pkgmetadata>